#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	ZX Spectrum emulator file format library
Summary(pl.UTF-8):	Biblioteka do obsługi formatów plików emulatorów ZX Spectrum
Name:		libspectrum
Version:	1.5.0
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz
# Source0-md5:	a675e8b812f6029e6f7c780f8461b254
URL:		http://fuse-emulator.sourceforge.net/libspectrum.php
BuildRequires:	audiofile-devel >= 0.2.3
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	bzip2-devel >= 1.0
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libspectrum is a library designed to make the input and output of some
ZX Spectrum emulator files slightly easier. It is intended to be
usable on Unix variants, Win32 and Mac OS X.

%description -l pl.UTF-8
libspectrum jest biblioteką zaprojektowaną, by ułatwić zapis i odczyt
plików wykorzystywanych przez emulatory ZX Spectrum. Można jej używać
na różnych wariantach systemu Unix, Win32 i Mac OS X.

%package devel
Summary:	ZX Spectrum emulator file format library - development
Summary(pl.UTF-8):	Część dla programistów używających biblioteki libspectrum
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	audiofile-devel >= 0.2.3
Requires:	bzip2-devel >= 1.0
Requires:	glib2-devel >= 2.0.0
Requires:	libgcrypt-devel >= 1.1.42
Requires:	zlib-devel

%description devel
The libspectrum-devel package contains the header files and
documentation needed to develop applications with libspectrum.

%description devel -l pl.UTF-8
Pakiet libspectrum-devel zawiera pliki nagłówkowe i dokumentację
potrzebne do kompilowania aplikacji korzystających z libspectrum.

%package static
Summary:	ZX Spectrum emulator file format static library
Summary(pl.UTF-8):	Statyczna biblioteka libspectrum
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The libspectrum-static package contains the static libraries of
libspectrum.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libspectrum.

%prep
%setup -q

# don't BR both glib versions
echo 'AC_DEFUN([AM_PATH_GLIB],[$3])' >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libspectrum.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspectrum.so.9

%files devel
%defattr(644,root,root,755)
%doc doc/libspectrum.txt
%attr(755,root,root) %{_libdir}/libspectrum.so
%{_libdir}/libspectrum.la
%{_includedir}/libspectrum.h
%{_mandir}/man3/libspectrum.3*
%{_pkgconfigdir}/libspectrum.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspectrum.a
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libspectrum.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 5b18909
- rebuild with separate debuginfo build-ids

* Mon Mar 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a44233e
- updated to 1.5.0, new soname

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> eb4ac3e
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> b152616
- updated to 1.4.4

* Tue May 01 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 0565430
- updated to 1.4.2

* Wed Oct 11 2017 Witold Filipczyk <witekfl@poczta.onet.pl> fa114bd
- updated to 1.4.1

* Tue Sep 05 2017 Witold Filipczyk <witekfl@poczta.onet.pl> b9e88f0
- updated to 1.4.0

* Wed Aug 02 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 63acad0
- updated to 1.3.6
- packaged libspectrum.pc

* Tue Jul 04 2017 Jakub Bogusz <qboosh@pld-linux.org> 7d42539
- use configure option for verbose make

* Tue Jul 04 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 198687a
- updated to 1.3.5
- verbose build

* Fri Jun 02 2017 Witold Filipczyk <witekfl@poczta.onet.pl> aa30316
- updated to 1.3.4

* Sun Apr 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> d059ccd
- updated to 1.3.3

* Fri Dec 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> f7ec2d7
- updated to 1.3.2

* Tue Nov 15 2016 Jakub Bogusz <qboosh@pld-linux.org> e4f6843
- added macro dir argument to aclocal to avoid unknown macro warning

* Tue Nov 08 2016 Witold Filipczyk <witekfl@poczta.onet.pl> c2bd6a3
- updated to 1.3.1

* Mon Oct 03 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 4458b8e
- updated to 1.3.0

* Wed Aug 24 2016 Witold Filipczyk <witekfl@poczta.onet.pl> b6d62be
- updated to 1.2.2

* Tue Jul 19 2016 Witold Filipczyk <witekfl@poczta.onet.pl> db0f6f0
- updated to 1.2.1

* Tue Jun 07 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 8b31d2c
- updated to 1.2.0

* Tue Mar 29 2016 Jan Rękorajski <baggins@pld-linux.org> 5df1b13
- release 3 (by relup.sh)

